Subject: Re: [PATCH] net: phy: marvell10g: allow PHY to probe without firmware

From: Andrew Lunn <[email-masked]>
Date: Thu, 6 Jun 2019 20:36:11 +0200

65;5402;1c> I don't like too much state changes outside control of the state machine,
> like in phy_start / phy_stop / phy_error. I think it would be better
> if a state change request is sent to the state machine, and the state
> machine decides whether the requested transition is allowed.

Hi Heiner

I initially though that phy_error() would be a good way to do what
Russell wants. But the locks get in the way. Maybe add an unlocked
version which PHY drivers can use to indicate something fatal has
happened?

	Andrew